diff -ruN pango-1.6.0-orig/Makefile.in pango-1.6.0/Makefile.in
--- pango-1.6.0-orig/Makefile.in	2004-12-31 01:47:39.000000000 -0800
+++ pango-1.6.0/Makefile.in	2004-12-31 01:47:52.000000000 -0800
@@ -234,7 +234,7 @@
 
 AUTOMAKE_OPTIONS = 1.7
 
-SUBDIRS = pango modules examples docs tools tests
+SUBDIRS = pango modules docs tools tests
 
 EXTRA_DIST = \
 	pango.pc.in	\
diff -ruN pango-1.6.0-orig/configure pango-1.6.0/configure
--- pango-1.6.0-orig/configure	Fri Dec 31 01:47:39 2004
+++ pango-1.6.0/configure	Mon Jan 24 03:49:44 2005
@@ -21346,8 +21346,8 @@
     LDFLAGS=$pango_save_ldflags
   fi
 
-  FREETYPE_LIBS="$FONTCONFIG_LIBS $FREETYPE_LIBS"
-  FREETYPE_CFLAGS="$FONTCONFIG_CFLAGS $FREETYPE_CFLAGS"
+  FREETYPE_LIBS="$FREETYPE_LIBS $FONTCONFIG_LIBS"
+  FREETYPE_CFLAGS="$FREETYPE_CFLAGS $FONTCONFIG_CFLAGS"
 
 
 
@@ -21420,13 +21420,13 @@
 
             echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5
 echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6
-            XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 2.0.0"`
+            XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 2.0.0" | sed "s|/usr/X11R6/include/freetype2|${prefix}/lib/freetype2/include|"`
             echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5
 echo "${ECHO_T}$XFT_CFLAGS" >&6
 
             echo "$as_me:$LINENO: checking XFT_LIBS" >&5
 echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6
-            XFT_LIBS=`$PKG_CONFIG --libs "xft >= 2.0.0"`
+            XFT_LIBS=`$PKG_CONFIG --libs "xft >= 2.0.0" | sed "s|-lfreetype|-L${prefix}/lib/freetype2/lib -lfreetype|"`
             echo "$as_me:$LINENO: result: $XFT_LIBS" >&5
 echo "${ECHO_T}$XFT_LIBS" >&6
         else
diff -ruN pango-1.6.0-orig/docs/Makefile.in pango-1.6.0/docs/Makefile.in
--- pango-1.6.0-orig/docs/Makefile.in	Fri Dec 31 01:47:38 2004
+++ pango-1.6.0/docs/Makefile.in	Sun Jan 23 01:53:46 2005
@@ -279,8 +279,8 @@
 	-DPANGO_ENABLE_ENGINE	\
 	-I$(top_srcdir)		\
 	$(GLIB_CFLAGS)		\
-	$(XFT_CFLAGS)		\
 	$(FREETYPE_CFLAGS)	\
+	$(XFT_CFLAGS)		\
 	$(X_CFLAGS)
 
 
diff -ruN pango-1.6.0-orig/ltmain.sh pango-1.6.0/ltmain.sh
--- pango-1.6.0-orig/ltmain.sh	2004-12-31 01:47:39.000000000 -0800
+++ pango-1.6.0/ltmain.sh	2004-12-31 01:47:52.000000000 -0800
@@ -5266,10 +5266,10 @@
 
 # Directory that this library needs to be installed in:
 libdir='$install_libdir'"
-	  if test "$installed" = no && test "$need_relink" = yes; then
-	    $echo >> $output "\
-relink_command=\"$relink_command\""
-	  fi
+#	  if test "$installed" = no && test "$need_relink" = yes; then
+#	    $echo >> $output "\
+#relink_command=\"$relink_command\""
+#	  fi
 	done
       fi
 
diff -ruN pango-1.6.0-orig/pango/Makefile.in pango-1.6.0/pango/Makefile.in
--- pango-1.6.0-orig/pango/Makefile.in	2004-12-31 01:47:38.000000000 -0800
+++ pango-1.6.0/pango/Makefile.in	2004-12-31 01:49:35.000000000 -0800
@@ -268,8 +268,8 @@
 	-DG_DISABLE_DEPRECATED				\
 	$(PANGO_DEBUG_FLAGS)				\
 	$(GLIB_CFLAGS)					\
-	$(XFT_CFLAGS)					\
 	$(FREETYPE_CFLAGS)				\
+	$(XFT_CFLAGS)					\
 	$(X_CFLAGS)					\
 	-I$(top_srcdir)
 
@@ -381,7 +381,7 @@
 
 
 libpangoxft_1_0_la_LDFLAGS = -version-info $(LT_VERSION_INFO) $(no_undefined)
-libpangoxft_1_0_la_LIBADD = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la $(XFT_LIBS) $(GLIB_LIBS)
+libpangoxft_1_0_la_LIBADD = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la $(XFT_LIBS) $(GLIB_LIBS) $(X_LIBS)
 libpangoxft_1_0_la_DEPENDENCIES = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la
 
 libpangoxft_1_0_la_SOURCES = \
diff -ruN pango-1.6.0-orig/tests/Makefile.in pango-1.6.0/tests/Makefile.in
--- pango-1.6.0-orig/tests/Makefile.in	Fri Dec 31 01:47:38 2004
+++ pango-1.6.0/tests/Makefile.in	Sun Jan 23 01:54:15 2005
@@ -235,8 +235,8 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	$(GLIB_CFLAGS)				\
-	$(XFT_CFLAGS)				\
 	$(FREETYPE_CFLAGS)			\
+	$(XFT_CFLAGS)				\
 	$(X_CFLAGS)				\
 	-DG_DISABLE_DEPRECATED			\
 	$(PANGO_DEBUG_FLAGS)\
diff -ruN pango-1.6.0-orig/update-pango-modules pango-1.6.0/update-pango-modules
--- pango-1.6.0-orig/update-pango-modules	1969-12-31 16:00:00.000000000 -0800
+++ pango-1.6.0/update-pango-modules	2004-12-31 01:47:52.000000000 -0800
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# update-pango-modules
+#
+#   Packages which install pango module(s) should call update-pango-modules
+#   in their PostInstScript and PostRmScript to update the pango.module file.
+#
+
+CONFDIR=@SYSCONFDIR@/pango
+CONFFILE=$CONFDIR/pango.modules
+
+mkdir -p $CONFDIR
+
+TMPFILE=`tempfile`
+pango-querymodules >$TMPFILE
+
+mv -f $TMPFILE $CONFFILE
+chmod 0644 $CONFFILE
+
+exit 0
diff -ruN pango-1.8.1-orig/docs/pango-querymodules.1 pango-1.8.1/docs/pango-querymodules.1
--- pango-1.8.1-orig/docs/pango-querymodules.1	2005-03-04 15:09:45.000000000 -0500
+++ pango-1.8.1/docs/pango-querymodules.1	2005-06-07 08:00:36.000000000 -0400
@@ -40,7 +40,7 @@
 .SH "ENVIRONMENT"
 
 .PP
-The Pango module path is specified by the key Pango/ModulesPath in the Pango config database, which is read from \fI\fIsysconfdir\fR/pango/pangorc\fR, \fI~/\&.pangorc\fR and the file specified in the environment variable \fBPANGO_RC_FILE\fR\&.
+The Pango module path is specified by the key Pango/ModulesPath in the Pango config database, which is read from \fI@SYSCONFDIR@/pango/pangorc\fR, \fI~/\&.pangorc\fR and the file specified in the environment variable \fBPANGO_RC_FILE\fR\&.
 
 .SH "BUGS"
 
